"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ngsscBuildWebpackBrowser = void 0;
const architect_1 = require("@angular-devkit/architect");
const build_angular_1 = require("@angular-devkit/build-angular");
const operators_1 = require("rxjs/operators");
const index_1 = require("../ngsscbuild/index");
/**
 * Experimental wrapper of the @angular-devkit/build-angular:browser builder for ngssc.
 */
function ngsscBuildWebpackBrowser(options, context, transforms = {}) {
    return (0, build_angular_1.executeBrowserBuilder)(options, context, transforms).pipe((0, operators_1.switchMap)((result) => __awaiter(this, void 0, void 0, function* () {
        if (result.success) {
            yield (0, index_1.detectVariablesAndBuildNgsscJson)(options, options, context, result.outputPaths.length > 1);
        }
        return result;
    })));
}
exports.ngsscBuildWebpackBrowser = ngsscBuildWebpackBrowser;
exports.default = (0, architect_1.createBuilder)(ngsscBuildWebpackBrowser);
//# sourceMappingURL=index.js.map